<?php

namespace common\modules\rubrication\models;

use Yii;

/**
 * This is the model class for table "{{%tax_value_int}}".
 *
 * @property integer $tax_value_id
 * @property integer $tax_option_id
 * @property integer $value
 *
 * @property TaxOption $taxOption
 */
class TaxValueInt extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%tax_value_int}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['tax_option_id'], 'required'],
            [['tax_option_id', 'value'], 'integer'],
            [['tax_option_id'], 'exist', 'skipOnError' => true, 'targetClass' => TaxOption::className(), 'targetAttribute' => ['tax_option_id' => 'tax_option_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'tax_value_id' => Yii::t('app', 'Tax Value ID'),
            'tax_option_id' => Yii::t('app', 'Tax Option ID'),
            'value' => Yii::t('app', 'Value'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTaxOption()
    {
        return $this->hasOne(TaxOption::className(), ['tax_option_id' => 'tax_option_id'])->inverseOf('taxValues');
    }
}
